<?php
/**
*
* @package live preview
* @version $Id: livepreview.php 7534 2010-06-14 14:06:13Z 4seven $
* @copyright (c) 4seven / 2010 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include($phpbb_root_path . 'includes/message_parser.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

$user->lang['TOO_FEW_CHARS'] = '';
$user->lang['TOO_FEW_CHARS_LIMIT'] = '';

$config['min_post_chars'] = 1;

$live_web_path   = (defined('PHPBB_USE_BOARD_URL_PATH') && PHPBB_USE_BOARD_URL_PATH) ? generate_board_url() . '/' : $phpbb_root_path;
$live_image_path = "{$live_web_path}styles/" . $user->theme['imageset_path'] . '/imageset';

$parser = new parse_message(utf8_normalize_nfc(request_var('text', '', true)));
$parser->parse(true, true, true);
$o_m    = $parser->format_display(true, true, true, false);

$o_m = preg_replace(array('#<object(.*?)object>#is',	                      
						  '#<embed(.*?)embed>#is',						  
			              '#<object(.*?)embed>#is',
			              '#<embed(.*?)object>#is',
						  '#<script(.*?)script>#is',
						  '#<video(.*?)video>#is',
                          '#<audio(.*?)audio>#is',						  
                          '#<source(.*?)source>#is',
						  '#<iframe(.*?)iframe>#is'), 
			              '<img src="'. $live_image_path . '/mm_bbcode.png" alt="" />', 
                          $o_m);

echo '<div class="content" style="margin-bottom:60px;">' . $o_m . '</div>';
?>